package cn.com.ctop.job.bytedance.handler;

import cn.com.ctop.job.bytedance.utils.HttpUtils;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.stereotype.Component;

@Component
public class CwjsPolicyApprovedNoticeJob {

    /**
     * 财务结算中 给运营发送微信通知 每月1号 早上9点
     */
    @XxlJob("sendMessageToOperate")
    public void sendMessageToOperate() throws Exception {
        try {
//            String url = "http://gateway.tjyourong.com.cn/finance/cwjsPolicyInfo/weiXinNotice";
            String url = "http://api.tjyourong.com.cn/finance/exportReportController/sendMessageToOperate";
            HttpUtils.httpGet2(url, null, null);
            XxlJobHelper.log("send CWJS-operate weixin message success");
        } catch (Exception e) {
            XxlJobHelper.log(e.getMessage());
        }
    }

}
