package cn.com.ctop.job.bytedance.mapper;

import cn.com.ctop.job.bytedance.entity.RuleAccountTemplate;
import org.apache.ibatis.annotations.Param;

import java.math.BigDecimal;
import java.util.List;

public interface CommonMapper {

    List<RuleAccountTemplate> getRuleAccountTemplateByStatus(@Param("status") int status);

    Integer selectMaxHour(@Param("accountId") Long accountId, @Param("statDate") String statDate);

    BigDecimal getCost(@Param("accountId") Long accountId, @Param("statHour") Integer statHour, @Param("statDate") String statDate);
}
