package cn.com.ctop.job.bytedance.mapper;

import cn.com.ctop.job.bytedance.entity.ByteDanceAdvertisePlan;
import cn.com.ctop.job.bytedance.entity.BytedanceAdvertiserDailyReport;
import cn.com.ctop.job.bytedance.entity.BytedanceAdvertiserHourlyReport;
import cn.com.ctop.job.bytedance.entity.RuleDataAccount;
import cn.com.ctop.job.bytedance.entity.RuleDataCreative;
import cn.com.ctop.job.bytedance.entity.RuleDataPlan;
import cn.com.ctop.job.bytedance.entity.RuleDataTarget;
import cn.com.ctop.job.bytedance.entity.TransactionDay;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ReportDataMapper {

    void replaceBatchAccountTransactionDay(@Param("list") List<TransactionDay> list);

    void replaceBytedanceAdvertiserHourly(BytedanceAdvertiserHourlyReport hourlyReport);

    void replaceBytedanceAdvertiserDaily(BytedanceAdvertiserDailyReport dailyReport);

    void replaceByteDanceAdvertisePlan(ByteDanceAdvertisePlan advertisePlan);


    void delRuleDataPlan(@Param("accountId") Long accountId);

    void delRuleDataTarget(@Param("accountId") Long accountId);

    void delRuleDataCreative(@Param("accountId") Long accountId);

    ByteDanceAdvertisePlan getByteDanceAdvertisePlanById(@Param("planId") Long planId);

    void replaceRuleDataTarget(RuleDataTarget target);

    void replaceRuleDataPlan(RuleDataPlan ruleDataPlan);

    void replaceRuleDataCreative(RuleDataCreative dataCreative);

    void delRuleDataAccount(Long accountId);

    void replaceRuleDataAccount(RuleDataAccount ruleDataAccount);
}
