package cn.com.ctop.job.bytedance.mapper;

import cn.com.ctop.job.bytedance.entity.BytedanceAgentToken;
import cn.com.ctop.job.bytedance.entity.CtopOauthToken;
import cn.com.ctop.job.bytedance.entity.WechatNoList;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TokenMapper {

    List<CtopOauthToken> getAllBytedanceTokens();

    List<JSONObject> getAgentTokens();

    CtopOauthToken getOneByAccountId(@Param("accountId") long accountId);

    List<CtopOauthToken> queryTtValidRuleAccountsToken();

    int updateToken(CtopOauthToken oauthToken);

    void replaceAgentToken(@Param("data") BytedanceAgentToken data);

}
