package cn.com.ctop.job.bytedance.mapper;

import cn.com.ctop.job.bytedance.entity.WechatAttendance;
import cn.com.ctop.job.bytedance.entity.WechatCheckinData;
import cn.com.ctop.job.bytedance.entity.WechatDepartment;
import cn.com.ctop.job.bytedance.entity.WechatNoList;
import cn.com.ctop.job.bytedance.entity.WechatUserList;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface WechatMapper {

    void insertWechatNoList(WechatNoList noEntity);

    void deleteWechatDepartment(@Param("name") String name);

    void insertWechatDepartment(WechatDepartment depart);

    List<WechatDepartment> queryWechatDepartmentList(int dataType);

    void insertWechatUserList(WechatUserList userList);

    List<WechatUserList> queryWechatUserList(int type);

    void insertWechatCheckinData(WechatCheckinData checkinData);

    List<WechatAttendance> queryAttendanceData(Map<String, Object> paramsMap);

    WechatCheckinData queryEntityByMap(Map<String, Object> map);

    List<WechatAttendance> queryOverTimeData(Map<String, Object> paramsMap);
}
