package cn.com.ctop.job.bytedance.mapper;

import cn.com.ctop.job.bytedance.entity.Project;
import cn.com.ctop.job.bytedance.entity.UserAllocation;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AccountInfoMapper {

    List<Long> getProjectIdsByMediaId(@Param("mediaId") String mediaId);

    List<String> getAccountIdsByProjectId(@Param("projectId") Long projectId);

    UserAllocation getUserAllocationByAccountId(@Param("accountId") Long accountId);

    Project getProjectById(@Param("projectId") Long projectId);

    List<JSONObject> selectBytaDanceWeiXinIdListByAccountId(@Param("accountId") Long accountId);

}
