package cn.com.ctop.job.bytedance.service.impl;

import cn.com.ctop.job.bytedance.mapper.AccountInfoMapper;
import cn.com.ctop.job.bytedance.mapper.ReportDataMapper;
import cn.com.ctop.job.bytedance.service.AccountInfoService;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
public class AccountInfoServiceImpl implements AccountInfoService {
    @Autowired
    private AccountInfoMapper accountInfoMapper;

    @Autowired
    private ReportDataMapper userMapper;

    @Override
    public List<Long> getProjectIdsByMediaId(String mediaId) {
        return accountInfoMapper.getProjectIdsByMediaId(mediaId);
    }

    @Override
    public List<JSONObject> selectBytaDanceWeiXinIdListByAccountId(Long accountId) {
        return accountInfoMapper.selectBytaDanceWeiXinIdListByAccountId(accountId);
    }

}
